ScheduleThread (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.agent.server.ScheduleThread class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.agent.server
Class ScheduleThread

    java.lang.Object
      org.hyperic.hq.agent.server.monitor.AgentMonitorSimple
          org.hyperic.hq.measurement.agent.server.ScheduleThread

All Implemented Interfaces:
  java.lang.Runnable, AgentMonitorInterface

    public class ScheduleThread

extends AgentMonitorSimple
implements java.lang.Runnable

The schedule thread which maintains the schedule, and dispatches on them. After data is retrieved, it is sent to the SenderThread which handles depositing the results on disk, and sending them to the bizapp.

Field Summary

Fields inherited from interface org.hyperic.hq.agent.server.monitor.AgentMonitorInterface
`KEY_KEYS, KEY_TYPES`

Method Summary
`double` | `getMaxFetchTime()` MONITOR METHOD: Get the maximum time spent fetching a metric
`double` | `getMinFetchTime()` MONITOR METHOD: Get the minimum time spent fetching a metric
`double` | `getNumMetricsFailed()` MONITOR METHOD: Get the number of metrics which resulted in an error when collected
`double` | `getNumMetricsFetched()` MONITOR METHOD: Get the number of metrics which were attempted to be fetched (failed or successful)
`double` | `getNumMetricsScheduled()` MONITOR METHOD: Get the number of metrics in the schedule
`double` | `getTotFetchTime()` MONITOR METHOD: Get the total time spent fetching metrics
`void` | `run()` The main loop of the ScheduleThread, which watches the schedule waits the appropriate time, and executes scheduled operations.

Methods inherited from class org.hyperic.hq.agent.server.monitor.AgentMonitorSimple
`getMonitorKeys, getMonitorTypes, getMonitorValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public void run()

  The main loop of the ScheduleThread, which watches the schedule waits the appropriate time, and executes scheduled operations.

  Specified by:
    `run` in interface `java.lang.Runnable`

### getNumMetricsScheduled

    public double getNumMetricsScheduled()
                                  throws AgentMonitorException

  MONITOR METHOD: Get the number of metrics in the schedule

  Throws:
    `AgentMonitorException`

### getNumMetricsFetched

    public double getNumMetricsFetched()
                                throws AgentMonitorException

  MONITOR METHOD: Get the number of metrics which were attempted to be fetched (failed or successful)

  Throws:
    `AgentMonitorException`

### getNumMetricsFailed

    public double getNumMetricsFailed()
                               throws AgentMonitorException

  MONITOR METHOD: Get the number of metrics which resulted in an error when collected

  Throws:
    `AgentMonitorException`

### getTotFetchTime

    public double getTotFetchTime()
                           throws AgentMonitorException

  MONITOR METHOD: Get the total time spent fetching metrics

  Throws:
    `AgentMonitorException`

### getMaxFetchTime

    public double getMaxFetchTime()
                           throws AgentMonitorException

  MONITOR METHOD: Get the maximum time spent fetching a metric

  Throws:
    `AgentMonitorException`

### getMinFetchTime

    public double getMinFetchTime()
                           throws AgentMonitorException

  MONITOR METHOD: Get the minimum time spent fetching a metric

  Throws:
    `AgentMonitorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.